Linux (3.0.32): audio format not supported
2012-11-29 22:01
Hello,

I've just installed HamSphere 3.0.32, and am having a few problems with the audio settings.

I have two sound devices: built-in CK804/NForce2, and a Soundblaster Audigy2 NX (USB). The problem is that the NForce2 device has a rather cheap microphone pre-amp, it locks-up occasionally, and there are audio underruns. I would rather use the Audigy 2, if possible.

However, when I try to use it, I get this error message:

Error:line with format PCM_SIGNED 8000.0 Hz, 16 bit, mono, 2 bytes/frame, little-endian not supported.

This is because the Audigy2 expects audio at 48000 Hz and it rejects any other format - unless it uses the 'plughw:' ALSA device. Does anyone know if there is there any way to specify this manually - maybe it's a Java parameter?

Thank you,

Lex.
Re: Linux (3.0.32): audio format not supported
2012-12-13 19:59
I've sorted it!

It was the usual thing: I stopped HamSphere, swapped the plugs on a few USB devices, plugged them back in, restarted HamSphere and it resumed with the USB Audigy2 NX at 48 kHz: crystal-clear loud audio, no underruns - and it's been perfect ever since.

The culprit was probably the mapping of sound device numbers, which the Linux udev sometimes changes. This can be sorted by adding some custom udev rules, and this is what I should do.

73s,

Lex.
Sorry, only registered users may post in this forum.

Click here to login